Package com.google.protobuf

# Interface ByteString.ByteIterator

All Superinterfaces:
  `Iterator<Byte>`

Enclosing class:
  ByteString

public static interface ByteString.ByteIterator extends Iterator<Byte>
This interface extends `Iterator<Byte>`, so that we can return an unboxed `byte`.

## Method Summary

Modifier and Type
Method
Description
`byte`
`nextByte()`
An alternative to `Iterator.next()` that returns an unboxed primitive `byte`.

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

## Method Details

### nextByte

byte nextByte()
An alternative to `Iterator.next()` that returns an unboxed primitive `byte`.

Returns:
  the next `byte` in the iteration
Throws:
  `NoSuchElementException` - if the iteration has no more elements